#  Copyright (C) 1999-2007
#  Smithsonian Astrophysical Observatory, Cambridge, MA, USA
#  For conditions of distribution and use, see copyright notice in "copyright"

package provide DS9 1.0

proc MaskUpdate {} {
    global current
    global mask

    if {$current(frame) != {}} {
	$current(frame) mask $mask(view)
    }
}

proc UpdateMaskMenu {} {
    global current
    global mask

    global debug
    if {$debug(tcl,update)} {
	puts "UpdateMaskMenu"
    }

    if {$current(frame) != {}} {
	set mask(view) [$current(frame) get mask]
    }
}

proc MaskColor {} {
    global current
    global mask

    if {$current(frame) != {}} {
	$current(frame) mask color $mask(color)
    }
}


